# Form Input

Form Input is an internal implementation detail of several other form components (e.g. TextInput, SearchInput). Do not consume it directly outside Patchwork.

Form Input supports the following props:

- `type`: one of ['date', 'email', 'number', 'text', 'password']
- `placeholder`
- `value`
- `focusOnMount`: should the component have focus when it mounts
- `disabled`
- `error`: either a string or boolean

Form Input supports the following events:

- `onChange={value => console.log('Omg look a', value)}` where `value` is the string from the Form Input
- `onFocus={() => console.log('focusing')}`
- `onBlur={() => console.log('blurring')}`
